---
title: List Singlepager
description: List all subdomains allocated to a specific merchant.
---

This API will list out all sub domains allocated to the specific merchant. We must pass airpay merchant id and secret key in request, we will get a success response and all the subdomains in terms of url.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/singlepager/api/list
```

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| airpay_merchant_id  required | Numeric  <br>(1-11) | Merchant Id | `1088` |
| airpay_secret_key  required | Alphanumeric  <br>(1-100) | Merchant Secret Key | `91f5evhk72f56912508233b7r37562g2hps` |
| checksum  required | Alphanumeric  <br>(1-100) | Checksum<br>hash_hmac('sha256',airpay_merchant_id + airpay_secret_key); | `91f5evhk72f56437r37562g2hps` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Result  required | String | Result message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is in process)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction is dropped in between)<br>Cancel - 402 (The transaction is cancelled)<br>Incomplete - 403 (The transaction is incomplete)<br>Bounced - 405 (Transaction is rejected from bank)<br>No Records - 503 (There are no records for this transaction) | `Success` |
| SinglePager  required | String | It will display url of the subdomain | `{                              "Subdomains": [                                                  "https://abc.nwpay.co.in",                                                  "https://def.nwpay.co.in",...                                             ]                          }` |

## Request Example

```json
{
       "airpay_merchant_id": 1088,
       "airpay_secret_key":"91f5evhk72f56912508233b7r37562g2hps",
       "checksum":"91f5evhk72f56437r37562g2hps"
}
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "Result": "Success",
     "SinglePager": {
                         "Subdomains": [
                                             "https://abc.nwpay.co.in",
                                             "https://def.nwpay.co.in",...
                                        ]
                     }
}
```

### Error Response

```json
 {
       "SinglePager": {
                         "Errors": {
                                     "00": "Header Aunthentication Failed, Invalid Content-Type",
                                     "01": "Header Aunthentication Failed, airpay-Key Can Not Be Empty",
                                     "02": "Header Aunthentication Failed, Invalid airpay-Key",
                                     "05": "airpay Merchant Id Can Not Be Empty",
                                     "08": "airpay Secret Key Can Not Be Empty",
                                     "10": "Invalid Request",
                                     "11": "Checksum Can Not Be Empty",
                                     "12": "Wrong Checksum",
                                     "13": "airpay Merchant Id Does Not Exist",
                                   }
                     },
     "Result": "Fail"
}
```